Bug 106292 - [patch] Update print/cup-pstoraster to latest version, take maintainership.
Summary: [patch] Update print/cup-pstoraster to latest version, take maintainership.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-12-04 05:00 UTC by frank
Modified: 2006-12-06 07:50 UTC (History)
0 users

See Also:


Attachments
cups-pstoraster.diff (6.78 KB, patch)
2006-12-04 05:00 UTC, frank
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description frank 2006-12-04 05:00:21 UTC

Bring cups-pstoraster up-to-date with espgs 8.15.3.  Take maintainership away from ports@.
Comment 1 Martin Wilke freebsd_committer 2006-12-04 09:02:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2006-12-04 19:02:58 UTC
State Changed
From-To: open->feedback

Ask for maintainer fix.
Comment 3 frank 2006-12-05 21:28:50 UTC
Oops, I missed a couple of new files.  The update diff follows:

--- cups-pstoraster.diff begins here ---
Index: cups-pstoraster/Makefile
===================================================================
RCS file: /cvs/repos/ports/print/cups-pstoraster/Makefile,v
retrieving revision 1.23
diff -u -r1.23 Makefile
--- cups-pstoraster/Makefile	6 Aug 2006 08:54:01 -0000	1.23
+++ cups-pstoraster/Makefile	2 Dec 2006 06:23:57 -0000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	cups-pstoraster
-PORTVERSION=	8.15
+PORTVERSION=	8.15.3
 CATEGORIES=	print
 MASTER_SITES=	\
 	ftp://ftp.rz.tu-bs.de/pub/mirror/ftp.easysw.com/ftp/pub/%SUBDIR%/ \
@@ -14,35 +14,32 @@
 	ftp://ftp3.easysw.com/pub/%SUBDIR%/ \
 	http://ftp.easysw.com/pub/%SUBDIR%/ \
 	http://ftp.rz.tu-bs.de/pub/mirror/ftp.easysw.com/ftp/pub/%SUBDIR%/
-MASTER_SITE_SUBDIR=	ghostscript/test
+MASTER_SITE_SUBDIR=	ghostscript/${PORTVERSION}
 DIST_SUBDIR=	ghostscript
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	frank@exit.com
 COMMENT=	Postscript interpreter for CUPS printing to non-PS printers
 
-PATCH_DEPENDS=	${NONEXISTENT}:${PORTSDIR}/${GHOSTSCRIPT_PORT}:patch
 LIB_DEPENDS=	cups.2:${PORTSDIR}/print/cups-base
 
-ESPGS_VER=	${PORTVERSION}rc3
+ESPGS_VER=	${PORTVERSION}
+GS_VERSION=	8.15
 
 DISTNAME=	espgs-${ESPGS_VER}-source
-EXTRACT_AFTER_ARGS=	| ${TAR} -xf - espgs-${ESPGS_VER}/pstoraster
-ESPGS_WRKSRC=	${WRKDIR}/espgs-${ESPGS_VER}/pstoraster
-WRKSRC=		${WRKDIRPREFIX}$$(${REALPATH}
${PORTSDIR})/${GHOSTSCRIPT_PORT}/work/ghostscript
-PATCH_WRKSRC=	${ESPGS_WRKSRC}
+WRKSRC=		${WRKDIR}/espgs-${PORTVERSION}
+
+DATADIR=	${TARGETDIR}/share/ghostscript
 
 USE_BZIP2=	yes
-USE_GHOSTSCRIPT_RUN=	yes
 USE_GMAKE=	yes
 GNU_CONFIGURE=	yes
 CONFIGURE_TARGET=	--build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
 CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include" \
 		LDFLAGS="-L${LOCALBASE}/lib"
-CONFIGURE_ARGS=	--without-x --without-ijs --without-gimp-print \
-		--with-gs=espgs
+CONFIGURE_ARGS=	--without-x --with-gs=espgs
 MAKE_ARGS=	CFLAGS_STANDARD="${CFLAGS} -DUPD_SIGNAL=0" \
 		DEVICE_DEVS="\$$(DD)cups.dev \$$(DD)pxlcolor.dev \$$(DD)pxlmono.dev"
-
+PLIST_SUB=      GS_VERSION="${GS_VERSION}" 
 PLIST_FILES=	bin/espgs etc/cups/pstoraster.convs \
 		libexec/cups/filter/pstopxl libexec/cups/filter/pstoraster \
 		share/cups/model/pxlcolor.ppd share/cups/model/pxlmono.ppd
@@ -51,15 +48,19 @@
 IGNORE=		doesn't build with AFPL version of Ghostscript; please use gnu
ghostscript instead
 .endif
 
+pre-configure:
+	${RM} -f ${WRKSRC}/ijs/config.guess ${WRKSRC}/ijs/missing
${WRKSRC}/ijs/config.sub ${WRKSRC}/ijs/install-sh
${WRKSRC}/ijs/ltmain.sh
+	${RM} -f ${WRKSRC}/trunk/ijs/config.guess ${WRKSRC}/trunk/ijs/missing
${WRKSRC}/trunk/ijs/config.sub ${WRKSRC}/trunk/ijs/install-sh
${WRKSRC}/trunk/ijs/ltmain.sh
+
 post-patch:
-	${LN} -sf ${ESPGS_WRKSRC}/gdevcups.c ${WRKSRC}/src
+	${LN} -sf ${WRKSRC}/pstoraster/gdevcups.c ${WRKSRC}/src
 	${CAT} ${FILESDIR}/cups.contrib.mak >> ${WRKSRC}/src/contrib.mak
 .for file in pstopxl pstoraster
 	${SED} -e 's:@prefix@:${PREFIX}:g ; \
 		 s:@exec_prefix@:${PREFIX}:g ; \
 		 s:@bindir@:${PREFIX}/bin:g ; \
 		 s:@GS@:espgs:g' \
-		${ESPGS_WRKSRC}/${file}.in > ${ESPGS_WRKSRC}/${file}
+		${WRKSRC}/pstoraster/${file}.in > ${WRKSRC}/pstoraster/${file}
 .endfor
 	${REINPLACE_CMD} -e 's|^CFLAGS=|CFLAGS=@CPPFLAGS@ |g ; \
 		 s|^LDFLAGS=|LDFLAGS=@LDFLAGS@ |g ; \
@@ -69,14 +70,4 @@
 	${MKDIR} ${WRKSRC}/bin
 	${MKDIR} ${WRKSRC}/obj
 
-do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/bin/espgs ${PREFIX}/bin
-	${INSTALL_DATA} ${ESPGS_WRKSRC}/pstoraster.convs ${PREFIX}/etc/cups
-.for _file in pstopxl pstoraster
-	${INSTALL_SCRIPT} ${ESPGS_WRKSRC}/${_file}
${PREFIX}/libexec/cups/filter
-.endfor
-.for _file in pxlcolor.ppd pxlmono.ppd
-	${INSTALL_DATA} ${ESPGS_WRKSRC}/${_file} ${PREFIX}/share/cups/model
-.endfor
-
 .include <bsd.port.mk>
Index: cups-pstoraster/distinfo
===================================================================
RCS file: /cvs/repos/ports/print/cups-pstoraster/distinfo,v
retrieving revision 1.8
diff -u -r1.8 distinfo
--- cups-pstoraster/distinfo	25 Nov 2005 17:42:46 -0000	1.8
+++ cups-pstoraster/distinfo	2 Dec 2006 05:03:35 -0000
@@ -1,3 +1,5 @@
-MD5 (ghostscript/espgs-8.15rc3-source.tar.bz2) =
e6fb2e581bd2b85368f7664be8d38186
-SHA256 (ghostscript/espgs-8.15rc3-source.tar.bz2) =
90f2f2382e63be37e5bb7d873ef2b67c883595e79417bd01393b914f3e7eb875
-SIZE (ghostscript/espgs-8.15rc3-source.tar.bz2) = 7820124
+MD5 (ghostscript/espgs-8.15.3-source.tar.bz2) =
4ec87a3da20c1b433ffbe0ffe3675fcd
+SHA256 (ghostscript/espgs-8.15.3-source.tar.bz2) =
c1f5eefc058b08113f90bc583436399d71644b61872fa39ab4982a58a80baa62
+SIZE (ghostscript/espgs-8.15.3-source.tar.bz2) = 8785418
+
+
Index: cups-pstoraster/files/patch-pstopxl.in
===================================================================
RCS
file: /cvs/repos/ports/print/cups-pstoraster/files/patch-pstopxl.in,v
retrieving revision 1.1
diff -u -r1.1 patch-pstopxl.in
--- cups-pstoraster/files/patch-pstopxl.in	23 Jun 2005 09:54:31 -0000
1.1
+++ cups-pstoraster/files/patch-pstopxl.in	2 Dec 2006 05:06:37 -0000
@@ -1,5 +1,5 @@
---- pstopxl.in.orig	Mon Feb 21 18:13:47 2005
-+++ pstopxl.in	Wed Jun  8 09:11:00 2005
+--- pstoraster/pstopxl.in.orig	Mon Feb 21 18:13:47 2005
++++ pstoraster/pstopxl.in	Wed Jun  8 09:11:00 2005
 @@ -27,7 +27,7 @@
  bindir=@bindir@
  
Index: cups-pstoraster/files/patch-pstoraster.in
===================================================================
RCS
file: /cvs/repos/ports/print/cups-pstoraster/files/patch-pstoraster.in,v
retrieving revision 1.1
diff -u -r1.1 patch-pstoraster.in
--- cups-pstoraster/files/patch-pstoraster.in	23 Jun 2005 09:54:31 -0000
1.1
+++ cups-pstoraster/files/patch-pstoraster.in	2 Dec 2006 05:05:44 -0000
@@ -1,5 +1,5 @@
---- pstoraster.in.orig	Wed Jun  8 09:11:26 2005
-+++ pstoraster.in	Wed Jun  8 09:13:19 2005
+--- pstoraster/pstoraster.in.orig	Wed Jun  8 09:11:26 2005
++++ pstoraster/pstoraster.in	Wed Jun  8 09:13:19 2005
 @@ -27,7 +27,7 @@
  bindir=@bindir@
  
Index: cups-pstoraster/files/patch-src:gxobj.h
===================================================================
RCS
file: /cvs/repos/ports/print/cups-pstoraster/files/Attic/patch-src:gxobj.h,v
retrieving revision 1.2
diff -u -r1.2 patch-src:gxobj.h
--- cups-pstoraster/files/patch-src:gxobj.h	26 Nov 2004 21:05:46 -0000
1.2
+++ cups-pstoraster/files/patch-src:gxobj.h	4 Dec 2006 04:52:47 -0000
@@ -1,17 +0,0 @@
---- src/gxobj.h.orig	Fri Feb 22 19:45:59 2002
-+++ src/gxobj.h	Thu Dec 19 00:16:57 2002
-@@ -99,10 +99,14 @@
-  * The final | is because back pointer values are divided by
obj_back_scale,
-  * so objects must be aligned at least 0 mod obj_back_scale.
-  */
-+#if !defined(__ia64__) && !defined(__amd64__)
- #define obj_align_mod\
-   (((arch_align_long_mod - 1) | (arch_align_ptr_mod - 1) |\
-     (arch_align_double_mod - 1) | (align_bitmap_mod - 1) |\
-     (obj_back_scale - 1)) + 1)
-+#else
-+#define obj_align_mod	16
-+#endif
- /* The only possible values for obj_align_mod are 4, 8, or 16.... */
- #if obj_align_mod == 4
- #  define log2_obj_align_mod 2
--- /dev/null	Tue Dec  5 13:23:39 2006
+++ cups-pstoraster/pkg-plist	Fri Dec  1 22:23:23 2006
@@ -0,0 +1,484 @@
+bin/espgs
+%%DATADIR%%/%%GS_VERSION%%/lib/Fontmap
+%%DATADIR%%/%%GS_VERSION%%/lib/Fontmap.GS
+%%DATADIR%%/%%GS_VERSION%%/lib/cidfmap
+%%DATADIR%%/%%GS_VERSION%%/lib/FAPIcidfmap
+%%DATADIR%%/%%GS_VERSION%%/lib/FAPIconfig
+%%DATADIR%%/%%GS_VERSION%%/lib/FAPIfontmap
+%%DATADIR%%/%%GS_VERSION%%/lib/xlatmap
+%%DATADIR%%/%%GS_VERSION%%/lib/ht_ccsto.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/acctest.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/addxchar.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/align.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/bdftops.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/caption.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/cid2code.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/decrypt.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/docie.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/dumphint.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/errpage.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/font2c.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/font2pcl.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gslp.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gsnup.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/image-qa.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/impath.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/jispaper.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/landscap.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/level1.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/lines.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/markhint.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/markpath.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/packfile.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/pcharstr.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/pf2afm.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/pfbtopfa.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/ppath.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/prfont.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/printafm.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/ps2ai.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/ps2ascii.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/ps2epsi.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/quit.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/rollconv.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/showchar.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/showpage.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/stcinfo.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/stcolor.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/stocht.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/traceimg.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/traceop.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/type1enc.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/type1ops.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/uninfo.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/unprot.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/viewcmyk.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/viewgif.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/viewjpeg.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/viewmiff.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/viewpcx.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/viewpbm.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/viewps2a.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/winmaps.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/wftopfa.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/wrfont.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/zeroline.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/pdf2dsc.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/pdfopt.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_agl.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_btokn.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_ccfnt.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_ce_e.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_cff.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_cidcm.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_ciddc.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_cidfm.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_cidfn.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_cidtt.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_ciecs2.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_ciecs3.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_cmap.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_cmdl.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_cspace.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_css_e.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_dbt_e.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_devcs.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_devn.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_devpxl.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_diskf.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_diskn.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_dpnxt.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_dps.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_dps1.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_dps2.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_dscp.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_epsf.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_fapi.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_fform.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_fntem.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_fonts.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_frsd.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_icc.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_il1_e.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_il2_e.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_img.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_indxd.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_init.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_kanji.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_ksb_e.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_l2img.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_lev2.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_lgo_e.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_lgx_e.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_ll3.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_mex_e.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_mgl_e.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_mro_e.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_patrn.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_pdf_e.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_pdfwr.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_pfile.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_rdlin.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_res.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_resmp.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_resst.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_sepr.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_setpd.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_statd.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_std_e.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_stres.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_sym_e.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_trap.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_ttf.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_typ32.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_typ42.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_type1.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_wan_e.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_wl1_e.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_wl2_e.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_wl5_e.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/pdf2dsc.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/pdf_base.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/pdf_draw.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/pdf_font.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/pdf_main.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/pdf_ops.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/pdf_rbld.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/pdf_sec.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/pdfopt.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/pdfwrite.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/cbjc600.ppd
+%%DATADIR%%/%%GS_VERSION%%/lib/cbjc800.ppd
+%%DATADIR%%/%%GS_VERSION%%/lib/ghostpdf.ppd
+%%DATADIR%%/%%GS_VERSION%%/lib/bj8.rpd
+%%DATADIR%%/%%GS_VERSION%%/lib/bj8gc12f.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/bj8hg12f.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/bj8oh06n.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/bj8pa06n.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/bj8pp12f.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/bj8ts06n.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/bjc610a0.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/bjc610a1.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/bjc610a2.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/bjc610a3.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/bjc610a4.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/bjc610a5.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/bjc610a6.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/bjc610a7.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/bjc610a8.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/bjc610b1.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/bjc610b2.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/bjc610b3.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/bjc610b4.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/bjc610b6.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/bjc610b7.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/bjc610b8.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/cdj550.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/cdj690.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/cdj690ec.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/dnj750c.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/dnj750m.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/necp2x.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/necp2x6.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/ras1.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/ras24.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/ras3.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/ras32.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/ras4.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/ras8m.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/st640ih.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/st640ihg.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/st640p.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/st640pg.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/st640pl.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/st640plg.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/stc.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/stc1520h.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/stc2.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/stc200_h.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/stc2_h.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/stc2s_h.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/stc300.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/stc300bl.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/stc300bm.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/stc500p.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/stc500ph.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/stc600ih.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/stc600p.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/stc600pl.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/stc640p.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/stc800ih.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/stc800p.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/stc800pl.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/stc_h.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/stc_l.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/stcany.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/stcany_h.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_l.xbm
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_l_m.xbm
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_m.xbm
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_m_m.xbm
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_s.xbm
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_s_m.xbm
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_t.xbm
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_t_m.xbm
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_l.xpm
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_m.xpm
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_s.xpm
+%%DATADIR%%/%%GS_VERSION%%/lib/gs_t.xpm
+%%DATADIR%%/%%GS_VERSION%%/lib/cjkv/baseutil.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/cjkv/cjkcidcm.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/cjkv/cjkfnmap.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/cjkv/cjkvinit.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/cjkv/cjkvttcf.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/cjkv/tt11util.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/cjkv/tt42util.ps
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/78-EUC-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/78-EUC-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/78-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/78-RKSJ-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/78-RKSJ-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/78-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/78ms-RKSJ-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/78ms-RKSJ-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/83pv-RKSJ-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/90ms-RKSJ-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/90ms-RKSJ-UCS2
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/90ms-RKSJ-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/90msp-RKSJ-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/90msp-RKSJ-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/90pv-RKSJ-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/90pv-RKSJ-UCS2
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/90pv-RKSJ-UCS2C
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/90pv-RKSJ-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Add-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Add-RKSJ-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Add-RKSJ-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Add-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Adobe-CNS1-0
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Adobe-CNS1-1
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Adobe-CNS1-2
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Adobe-CNS1-3
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Adobe-CNS1-4
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Adobe-CNS1-5
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Adobe-CNS1-B5pc
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Adobe-CNS1-H-CID
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Adobe-CNS1-H-Host
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Adobe-CNS1-H-Mac
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Adobe-GB1-0
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Adobe-GB1-1
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Adobe-GB1-2
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Adobe-GB1-3
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Adobe-GB1-4
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Adobe-GB1-5
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Adobe-GB1-GBK-EUC
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Adobe-GB1-GBpc-EUC
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Adobe-GB1-H-CID
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Adobe-GB1-H-Host
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Adobe-GB1-H-Mac
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Adobe-Japan1-0
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Adobe-Japan1-1
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Adobe-Japan1-2
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Adobe-Japan1-3
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Adobe-Japan1-4
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Adobe-Japan1-5
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Adobe-Japan1-6
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Adobe-Japan1-90ms-RKSJ
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Adobe-Japan1-90pv-RKSJ
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Adobe-Japan1-H-CID
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Adobe-Japan1-H-Host
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Adobe-Japan1-H-Mac
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Adobe-Japan1-PS-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Adobe-Japan1-PS-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Adobe-Japan1-UCS2
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Adobe-Korea1-0
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Adobe-Korea1-1
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Adobe-Korea1-2
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Adobe-Korea1-H-CID
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Adobe-Korea1-H-Host
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Adobe-Korea1-KSCms-UHC
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Adobe-Korea1-KSCpc-EUC
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Adobe-Korea1-UCS2
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/B5-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/B5-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/B5pc-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/B5pc-UCS2
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/B5pc-UCS2C
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/B5pc-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/CNS-EUC-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/CNS-EUC-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/CNS1-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/CNS1-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/CNS2-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/CNS2-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/ETHK-B5-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/ETHK-B5-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/ETen-B5-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/ETen-B5-UCS2
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/ETen-B5-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/ETenms-B5-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/ETenms-B5-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/EUC-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/EUC-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Ext-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Ext-RKSJ-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Ext-RKSJ-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Ext-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/GB-EUC-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/GB-EUC-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/GB-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/GB-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/GBK-EUC-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/GBK-EUC-UCS2
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/GBK-EUC-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/GBK2K-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/GBK2K-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/GBKp-EUC-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/GBKp-EUC-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/GBT-EUC-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/GBT-EUC-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/GBT-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/GBT-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/GBTpc-EUC-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/GBTpc-EUC-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/GBpc-EUC-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/GBpc-EUC-UCS2
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/GBpc-EUC-UCS2C
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/GBpc-EUC-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/HKdla-B5-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/HKdla-B5-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/HKdlb-B5-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/HKdlb-B5-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/HKgccs-B5-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/HKgccs-B5-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/HKm314-B5-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/HKm314-B5-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/HKm471-B5-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/HKm471-B5-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/HKscs-B5-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/HKscs-B5-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Hankaku
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Hiragana
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Identity-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Identity-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/KSC-EUC-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/KSC-EUC-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/KSC-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/KSC-Johab-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/KSC-Johab-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/KSC-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/KSCms-UHC-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/KSCms-UHC-HW-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/KSCms-UHC-HW-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/KSCms-UHC-UCS2
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/KSCms-UHC-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/KSCpc-EUC-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/KSCpc-EUC-UCS2
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/KSCpc-EUC-UCS2C
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/KSCpc-EUC-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Katakana
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/NWP-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/NWP-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/RKSJ-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/RKSJ-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/Roman
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UCS2-90ms-RKSJ
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UCS2-90pv-RKSJ
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UCS2-B5pc
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UCS2-GBK-EUC
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UCS2-GBpc-EUC
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UCS2-KSCms-UHC
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UCS2-KSCpc-EUC
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UniCNS-UCS2-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UniCNS-UCS2-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UniCNS-UTF16-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UniCNS-UTF16-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UniCNS-UTF32-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UniCNS-UTF32-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UniCNS-UTF8-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UniCNS-UTF8-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UniGB-UCS2-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UniGB-UCS2-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UniGB-UTF16-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UniGB-UTF16-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UniGB-UTF32-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UniGB-UTF32-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UniGB-UTF8-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UniGB-UTF8-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UniHojo-UCS2-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UniJIS-UCS2-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UniJIS-UCS2-HW-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UniJIS-UCS2-HW-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UniJIS-UCS2-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UniJIS-UTF16-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UniJIS-UTF16-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UniJIS-UTF32-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UniJIS-UTF32-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UniJIS-UTF8-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UniJIS-UTF8-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UniJISPro-UCS2-HW-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UniJISPro-UCS2-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UniJISPro-UTF8-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UniJISX0213-UTF32-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UniJISX0213-UTF32-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UniKS-UCS2-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UniKS-UCS2-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UniKS-UTF16-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UniKS-UTF16-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UniKS-UTF32-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UniKS-UTF32-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UniKS-UTF8-H
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/UniKS-UTF8-V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/V
+%%DATADIR%%/%%GS_VERSION%%/Resource/CMap/WP-Symbol
+%%DATADIR%%/%%GS_VERSION%%/Resource/ColorSpace/DefaultCMYK
+%%DATADIR%%/%%GS_VERSION%%/Resource/ColorSpace/DefaultGray
+%%DATADIR%%/%%GS_VERSION%%/Resource/ColorSpace/DefaultRGB
+%%DATADIR%%/%%GS_VERSION%%/Resource/Decoding/Latin1
+%%DATADIR%%/%%GS_VERSION%%/Resource/Decoding/StandardEncoding
+%%DATADIR%%/%%GS_VERSION%%/Resource/Decoding/Unicode
+%%DATADIR%%/%%GS_VERSION%%/lib/dmp_init.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/dmp_site.ps
+%%DATADIR%%/%%GS_VERSION%%/lib/escp_24.src
+%%DATADIR%%/%%GS_VERSION%%/lib/PM760p.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/PM760pl.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/PM820p.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/PM820pl.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/Stc670p.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/Stc670pl.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/Stc680p.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/Stc680pl.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/Stc740p.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/Stc740pl.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/Stc760p.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/Stc760pl.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/Stc777p.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/Stc777pl.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/Stp720p.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/Stp720pl.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/Stp870p.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/Stp870pl.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/bjc6000a1.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/bjc6000b1.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/s400a1.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/s400b1.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/sharp.upp
+%%DATADIR%%/%%GS_VERSION%%/lib/stc740ih.upp
+libexec/cups/filter/pstoraster
+libexec/cups/filter/pstopxl
+etc/cups/pstoraster.convs
+share/cups/model/pxlcolor.ppd
+share/cups/model/pxlmono.ppd
+@dirrm %%DATADIR%%/%%GS_VERSION%%/lib
+@dirrm %%DATADIR%%/%%GS_VERSION%%/Resource/Decoding
+@dirrm %%DATADIR%%/%%GS_VERSION%%/Resource/ColorSpace
+@dirrm %%DATADIR%%/%%GS_VERSION%%/Resource/CMap
+@dirrm %%DATADIR%%/%%GS_VERSION%%/Resource
+@dirrmtry %%DATADIR%%/%%GS_VERSION%%
+@dirrmtry %%DATADIR%%
+@dirrmtry libexec/cups/filter
+@dirrmtry libexec/cups
+@dirrmtry share/cups/model
+@dirrmtry share/cups
+@dirrmtry etc/cups
--- /dev/null	Tue Dec  5 13:23:39 2006
+++ cups-pstoraster/files/patch-ghostscript.list.in	Fri Dec  1 21:41:21
2006
@@ -0,0 +1,66 @@
+--- ghostscript.list.in.orig	Fri Dec  1 21:38:35 2006
++++ ghostscript.list.in	Fri Dec  1 21:40:56 2006
+@@ -71,52 +71,6 @@
+ # Programs and scripts...
+ f 0755 root root $bindir/@GS@ bin/@GS@
+ 
+-f 0755 root root $bindir/bdftops lib/bdftops
+-f 0755 root root $bindir/dumphint lib/dumphint
+-f 0755 root root $bindir/dvipdf lib/dvipdf
+-f 0755 root root $bindir/eps2eps lib/eps2eps
+-f 0755 root root $bindir/fixmswrd.pl lib/fixmswrd.pl
+-f 0755 root root $bindir/font2c lib/font2c
+-f 0755 root root $bindir/gsbj lib/gsbj
+-f 0755 root root $bindir/gsdj lib/gsdj
+-f 0755 root root $bindir/gsdj500 lib/gsdj500
+-f 0755 root root $bindir/gslj lib/gslj
+-f 0755 root root $bindir/gslp lib/gslp
+-f 0755 root root $bindir/gsnd lib/gsnd
+-f 0755 root root $bindir/lprsetup.sh lib/lprsetup.sh
+-f 0755 root root $bindir/pdf2dsc lib/pdf2dsc
+-f 0755 root root $bindir/pdf2ps lib/pdf2ps
+-f 0755 root root $bindir/pdfopt lib/pdfopt
+-f 0755 root root $bindir/pf2afm lib/pf2afm
+-f 0755 root root $bindir/pfbtopfa lib/pfbtopfa
+-f 0755 root root $bindir/printafm lib/printafm
+-f 0755 root root $bindir/ps2ascii lib/ps2ascii
+-f 0755 root root $bindir/ps2epsi lib/ps2epsi
+-f 0755 root root $bindir/ps2pdf lib/ps2pdf
+-f 0755 root root $bindir/ps2pdf12 lib/ps2pdf12
+-f 0755 root root $bindir/ps2pdf13 lib/ps2pdf13
+-f 0755 root root $bindir/ps2pdf14 lib/ps2pdf14
+-f 0755 root root $bindir/ps2pdfwr lib/ps2pdfwr
+-f 0755 root root $bindir/ps2ps lib/ps2ps
+-f 0755 root root $bindir/pv.sh lib/pv.sh
+-f 0755 root root $bindir/unix-lpr.sh lib/unix-lpr.sh
+-f 0755 root root $bindir/wftopfa lib/wftopfa
+-
+-# Man pages...
+-f 0644 root root $mandir/man1/ man/*.1
+-l 0644 root root $mandir/man1/ps2pdf12.1 ps2pdf.1
+-l 0644 root root $mandir/man1/ps2pdf13.1 ps2pdf.1
+-l 0644 root root $mandir/man1/gsbj.1 gslp.1
+-l 0644 root root $mandir/man1/gsdj.1 gslp.1
+-l 0644 root root $mandir/man1/gsdj500.1 gslp.1
+-l 0644 root root $mandir/man1/gslj.1 gslp.1
+-
+-# Documentation files...
+-f 0644 root root $docdir/ doc/*.htm
+-f 0644 root root $docdir/ doc/*.html
+-f 0644 root root $docdir/COPYING doc/COPYING
+-f 0644 root root $docdir/README doc/README
+-
+ # Data files...
+ %if $COMPILE_INITS
+ # No config files needed for this configuration...
+@@ -193,10 +147,6 @@
+ f 0644 root root $gsdatadir/lib/wrfont.ps lib/wrfont.ps
+ f 0644 root root $gsdatadir/lib/xlatmap lib/xlatmap
+ f 0644 root root $gsdatadir/lib/zeroline.ps lib/zeroline.ps
+-
+-# Examples...
+-f 0644 root root $exdir/ examples/*.ps
+-f 0644 root root $exdir/ examples/*.eps
+ 
+ %subpackage cups
+ # Config files...
--- /dev/null	Tue Dec  5 13:23:39 2006
+++ cups-pstoraster/files/patch-src:unixinst.mak	Fri Dec  1 21:56:23
2006
@@ -0,0 +1,20 @@
+--- src/unixinst.mak.orig	Fri Dec  1 21:54:25 2006
++++ src/unixinst.mak	Fri Dec  1 21:55:49 2006
+@@ -18,7 +18,7 @@
+ # containing the `install' targets.
+ # This is the very last part of the makefile for these configurations.
+ 
+-install: install-exec install-scripts install-data $(INSTALL_SHARED)
install-addons-extras
++install: install-exec install-data $(INSTALL_SHARED)
install-addons-extras
+ 
+ # The sh -c in the rules below is required because Ultrix's
implementation
+ # of sh -e terminates execution of a command if any error occurs, even
if
+@@ -53,7 +53,7 @@
+ PSEXDIR=$(PSLIBDIR)/../examples
+ PSMANDIR=$(PSLIBDIR)/../man
+ 
+-install-data: install-libdata install-resdata install-doc install-man
install-examples
++install-data: install-libdata install-resdata
+ 
+ # There's no point in providing a complete dependency list: we include
+ # one file from each subdirectory just as a sanity check.
--- cups-pstoraster.diff ends here ---

-- 
Frank Mayhar frank@exit.com     http://www.exit.com/
Exit Consulting                 http://www.gpsclock.com/
                                http://www.exit.com/blog/frank/
Comment 4 frank 2006-12-06 03:12:16 UTC
The above patch can also be found at
http://www.exit.com/Archives/FreeBSD/cups-pstoraster.diff
-- 
Frank Mayhar frank@exit.com     http://www.exit.com/
Exit Consulting                 http://www.gpsclock.com/
                                http://www.exit.com/blog/frank/
Comment 5 dfilter service freebsd_committer 2006-12-06 07:47:04 UTC
miwi        2006-12-06 07:46:58 UTC

  FreeBSD ports repository

  Modified files:
    print/cups-pstoraster Makefile distinfo 
    print/cups-pstoraster/files patch-pstopxl.in 
                                patch-pstoraster.in 
  Added files:
    print/cups-pstoraster pkg-plist 
    print/cups-pstoraster/files patch-ghostscript.list.in 
                                patch-src:unixinst.mak 
  Log:
  - Update to 8.15.3
  - Pass maintainership to submitter
  
  PR:             ports/106292
  Submitted by:   Frank Mayhar <frank@exit.com> (maintainer)
  
  Revision  Changes    Path
  1.24      +16 -25    ports/print/cups-pstoraster/Makefile
  1.9       +3 -3      ports/print/cups-pstoraster/distinfo
  1.1       +66 -0     ports/print/cups-pstoraster/files/patch-ghostscript.list.in (new)
  1.2       +2 -2      ports/print/cups-pstoraster/files/patch-pstopxl.in
  1.2       +2 -2      ports/print/cups-pstoraster/files/patch-pstoraster.in
  1.1       +20 -0     ports/print/cups-pstoraster/files/patch-src:unixinst.mak (new)
  1.3       +486 -0    ports/print/cups-pstoraster/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Martin Wilke freebsd_committer 2006-12-06 07:47:09 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!